Track a sale
curl --request POST \
--url https://go.affixo.dev/v1/track/sale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"visitor_id": "<string>",
"fingerprint": "<string>",
"ref": "<string>",
"manual_code": "<string>",
"external_id": "<string>",
"currency": "usd",
"is_test": false,
"url": "<string>",
"referrer": "<string>",
"amount": 99
}
'import requests
url = "https://go.affixo.dev/v1/track/sale"
payload = {
"visitor_id": "<string>",
"fingerprint": "<string>",
"ref": "<string>",
"manual_code": "<string>",
"external_id": "<string>",
"currency": "usd",
"is_test": False,
"url": "<string>",
"referrer": "<string>",
"amount": 99
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
visitor_id: '<string>',
fingerprint: '<string>',
ref: '<string>',
manual_code: '<string>',
external_id: '<string>',
currency: 'usd',
is_test: false,
url: '<string>',
referrer: '<string>',
amount: 99
})
};
fetch('https://go.affixo.dev/v1/track/sale', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"attributed": true,
"conversion_id": "<string>",
"visitor_id": "<string>"
}{
"error": "unauthorized"
}{
"error": "conversion_failed"
}Tracking
Track a sale
Server-to-server sale conversion. Requires track (or *) scope.
Idempotent on external_id.
POST
/
v1
/
track
/
sale
Track a sale
Authorizations
Workspace API key, e.g. sa_live_…. Scopes: read / write / track / *.
Body
application/json
Visitor identity plus optional attribution hints. Provide at least one of
visitor_id, fingerprint, ref, or manual_code so the event can be
attributed.
Referral code, used to pin the campaign/window.
Self-attribution code, if enabled.
Idempotency key (order id).
Example:
"usd"
Example:
99
⌘I